
#!/bin/sh

. ./settings.sh

#
# Menue configuration
#

M_ENABLED=Yes
M_NAME="default"


if ! [ "$(echo $M_ENABLED | tr A-Z a-z)" = "yes" ]; then
  exit 0
fi

echo "Menue $M_NAME is enabled..."

M_PAYLOAD="

rootprompt 0
path bios/
default bios/vesamenu.c32
#TIMEOUT 300

MENU TITLE Default Menu
MENU BACKGROUND splash.png
MENU ROWS 15
MENU TABMSGROW 20
MENU TIMEOUTROW 22

LABEL disk0
  localboot 0
  MENU LABEL Starte von lokaler Platte (Default)

label -
  MENU LABEL Live-Systeme: --------------------------
  MENU DISABLE

LABEL knx
  MENU LABEL * Knoppix 9.1 Live, Grafisch, 32Bit
  KERNEL free/knx/boot/isolinux/linux
  APPEND nfsdir=${HOST_IP}:/srv/tftp/free/knx nodhcp lang=de ramdisk_size=100000 init=/sbin/init apm=power-off nomce loglevel=1 initrd=free/knx/boot/isolinux/miniroot.gz libata.force=noncq tz=europe/Berlin hpsa.hpsa_allow_any=1 BOOT_IMAGE=knoppix

MENU BEGIN
  MENU LABEL *   Weitere Optionen...

  LABEL knx
   MENU LABEL * Knoppix 9.1 Live, Textmodus, 32Bit
   KERNEL free/knx/boot/isolinux/linux
   APPEND nfsdir=${HOST_IP}:/srv/tftp/free/knx nodhcp lang=de ramdisk_size=100000 init=/sbin/init apm=power-off nomce loglevel=1 initrd=free/knx/boot/isolinux/miniroot.gz libata.force=noncq tz=Europe/Berlin hpsa.hpsa_allow_any=1 BOOT_IMAGE=knoppix 2

  LABEL zurueck...
   MENU EXIT
MENU END

label -
  MENU LABEL Backup & Restore: ----------------------
  MENU DISABLE

  LABEL rescue
   MENU LABEL * Rescuezilla Live
   kernel free/rz/casper/vmlinuz
   APPEND initrd=free/rz/casper/initrd.lz netboot=nfs root=/dev/nfs ramdisk_size=1500000 ip=dhcp nfsroot=${HOST_IP}:${D_TFTP}/free/rz/ boot=casper locale=de_DE keyboard-configuration/layoutcode=de bootkbd=de console-setup/layoutcode=de quiet

MENU BEGIN
  MENU LABEL *   Weitere Optionen...

  LABEL rescue2
    MENU LABEL * Rescuezilla Live Fail-Safe
    kernel free/rz/casper/vmlinuz
    APPEND initrd=free/rz/casper/initrd.lz netboot=nfs root=/dev/nfs ramdisk_size=1500000 ip=dhcp nfsroot=${HOST_IP}:${D_TFTP}/free/rz/ boot=casper locale=de_DE keyboard-configuration/layoutcode=de bootkbd=de console-setup/layoutcode=de xforcevesa nomodeset vga=791 quiet

  LABEL cz
    MENU LABEL * Clonezilla Live (Ramdisk)
    KERNEL free/cz/live/vmlinuz
    APPEND initrd=free/cz/live/initrd.img boot=live username=user union=overlay config components noswap edd=on nomodeset nodmraid locales=de_DE.UTF-8 keyboard-layouts=de-latin-1 ocs_live_run="ocs-live-general" ocs_live_extra_param="" ocs_live_batch=no net.ifnames=0 nosplash noprompt fetch=tftp://${HOST_IP}/free/cz/live/filesystem.squashfs quiet

  LABEL acr18
    MENU LABEL * Acronis True Image Home 2018
    LINUX  memdisk
    INITRD non-free/acronis/acronis2018.iso
    APPEND iso raw

  LABEL acr14
    MENU LABEL * Acronis True Image Home 2014
    LINUX  memdisk
    INITRD non-free/acronis/acronis2014.iso
    APPEND iso raw

  LABEL acr11
    MENU LABEL * Acronis True Image Home 2011
    LINUX  memdisk
    INITRD non-free/acronis/acronis2011.iso
    APPEND iso raw

  LABEL acr10
    MENU LABEL * Acronis True Image 2010
    LINUX  memdisk
    INITRD non-free/acronis/acronis2010.iso
    APPEND iso raw

  LABEL acr09
    MENU LABEL * Acronis True Image 2009
    LINUX  memdisk
    INITRD non-free/acronis/acronis2009.iso
    APPEND iso raw

  LABEL zurueck...
  MENU EXIT
MENU END

label -
  MENU LABEL Installer: ------------------------------
  MENU DISABLE

MENU BEGIN
  MENU LABEL * Linux Installer...

  LABEL deb12
   MENU LABEL * Debian 12 Installer 64Bit Textmodus
   CONFIG free/deb-bookworm/debian-installer/amd64/pxelinux.cfg/default
   APPEND free/deb-bookworm/
  LABEL deb12
   MENU LABEL * Debian 12 Installer 32Bit Textmodus
   CONFIG free/deb-bookworm/debian-installer/i386/pxelinux.cfg/default
   APPEND free/deb-bookworm/

  LABEL deb11
   MENU LABEL * Debian 11 Installer 64Bit Textmodus
   CONFIG free/deb-bullseye/debian-installer/amd64/pxelinux.cfg/default
   APPEND free/deb-bullseye/
  LABEL deb11
   MENU LABEL * Debian 11 Installer 32Bit Textmodus
   CONFIG free/deb-bullseye/debian-installer/i386/pxelinux.cfg/default
   APPEND free/deb-bullseye/

  LABEL zurueck...
  MENU EXIT
MENU END

MENU BEGIN
  MENU LABEL * Windows Installer...

  LABEL win10
   MENU LABEL * Windows 10
   KERNEL memdisk
   INITRD non-free/windows/winpe.iso
   APPEND iso raw

  LABEL win10
   MENU LABEL * Windows 10 iPXE Test
   KERNEL ipxe.lkrn
   APPEND dhcp && chain non-free/wimboot.ipxe

  LABEL zurueck...
  MENU EXIT
MENU END

label -
  MENU LABEL Boot- & System-Tools: --------------------
  MENU DISABLE

  LABEL hdt
   MENU LABEL * Hardware Erkennung
   COM32 bios/hdt.c32

  LABEL memtestpl
   MENU LABEL * Memtest86+
   kernel free/memtest86+

MENU BEGIN
  MENU LABEL *   Weitere Optionen...

  label sbm
    MENU LABEL * Smart Boot Manager
    kernel memdisk
    append initrd=free/sbm.imz

  LABEL plop
   MENU LABEL * PloP Boot Manager
   kernel free/plop.exe

  LABEL ipxe
   MENU LABEL * iPXE Shell
   KERNEL ipxe.lkrn dhcp && shell

  LABEL memtest
   MENU LABEL * Memtest86
   kernel free/memtest86

  LABEL fdos
    MENU LABEL * FreeDOS Bootdisk
    KERNEL memdisk
    APPEND initrd=free/FD13BOOT.img

  label win98
    MENU LABEL * Windows 98 Bootdisk (DOS 7)
    kernel memdisk
    append initrd=non-free/win98.img

  label ether
    MENU LABEL * Etherboot
    kernel memdisk
    append initrd=free/ether.img

  LABEL zurueck...
  MENU EXIT
MENU END

"

case $1 in

  build)
    echo $M_PAYLOAD > ${D_TFTP}/pxelinux.cfg/default
  ;;

esac
